<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
if($error){ echo $error;
}else{
/////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'photo' WHERE `id` = '".$id_session."'");
echo head . "<b>Фотоальбомы</b>" . div;  

$id_cat = num($_GET['id']);

$all = mysql_result(mysql_query("SELECT count(*) FROM `photo_album` WHERE `cat` = '".$id_cat."'"), 0);
if($all==0)
echo 'Альбомы еще не созданы';

if($all){
$onpage = 10;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;    
$query = @mysql_query("SELECT * FROM `photo_album` WHERE `cat` = '".$id_cat."' order by id desc limit ".num($start).",".num($onpage)."");
while($result = @mysql_fetch_array($query))
{
    $all_photos = mysql_result(mysql_query("SELECT count(*) FROM `photo_photos` WHERE `album` = '".$result['id']."'"), 0);
    
    if ( $all_photos > 0) {



echo "<div class='link2'><b>Альбом:</b> <a href=\"photos.php?id=".$result['id']."\">".$result['name']."</a> [".$all_photos."] <br/>";




echo "<small>Автор: ";
echo "".user($result['user'])."<br/></small>";
if($result['date'])
echo "<small>Создан ".date2($result['date'])."</small><br/>";
if($result['obnov'])
echo "<small>Изменен ".date2($result['obnov'])."</small><br/>";

if($result['prosm'])
echo "<small>Просмотров: ".$result['prosm']."</small><br/>";

if ( !empty($result['pass']) OR !empty($result['private']) OR !empty($result['private']) ) {
echo '<br/><small><b>Приватность:</b><br/>';
if (!empty($result['pass'])) echo ' + Установлен пароль<br/>';
if (!empty($result['private'])) echo ' + Приватность на коментарии<br/>';
if (!empty($result['private2'])) echo ' + Приватность на просмотр<br/>';
echo '</small>';
}
echo '</div>';


}

}
echo link1 . '<b>Страницы:</b> ';
navigation($allpage,"cat.php?id=".$id_cat."&p={p}",1,1);
}






}
pod_navig();
foot();
?>
